# studio::DeviceTracker Class Reference

`#include <devicetracker.h>`

List of all members.

## Public Member Functions

| DeviceTracker ()
| ~DeviceTracker ()
void | save_preferences ()
void | load_preferences ()

## Constructor & Destructor Documentation

DeviceTracker::DeviceTracker | ( |  | ) |

References synfigapp::Main::add_input_device(), synfigapp::InputDevice::MODE_SCREEN, synfigapp::Main::select_input_device(), and synfigapp::InputDevice::TYPE_MOUSE.

DeviceTracker::~DeviceTracker | ( |  | ) |

## Member Function Documentation

void DeviceTracker::save_preferences | ( |  | ) |

References synfigapp::Main::find_input_device().

Referenced by studio::App::App().

void DeviceTracker::load_preferences | ( |  | ) |

References synfigapp::Main::find_input_device().

Referenced by studio::App::App().

The documentation for this class was generated from the following files:

- devicetracker.h
- devicetracker.cpp